﻿ClassCooldownAnnouncer = {};
ClassCooldownAnnouncer.Announces = {};



-- default (English)


-- error-strings --

ClassCooldownAnnouncer.FAILEDSPELL = "You fail to cast";
ClassCooldownAnnouncer.FAILEDSPELL_OOR = "Out of range.";
ClassCooldownAnnouncer.FAILEDSPELL_LOS = "Target not in line of sight.";

-- Check for Language --

if ( GetLocale() == "deDE" ) then -- German
	ClassCooldownAnnouncer.FAILEDSPELL = "Ihr scheitert beim Wirken von ";
	ClassCooldownAnnouncer.FAILEDSPELL_OOR = "Außer Reichweite.";
	ClassCooldownAnnouncer.FAILEDSPELL_LOS = "Ziel ist nicht im Sichtfeld.";
	
elseif( GetLocale() == "frFR" ) then -- French
	-- todo -- looking for translator, just let me know if you want to help me :) 
end




-- How to localize spells & announces --

-- Just follow this example and add your own spells if you like to.
-- For every Spell you'll need at least 2 functions.

--ClassCooldownAnnouncer.SPELLNAME_NAME = "SpellName";     This localizes the name of the spell. Write here e.g. "Innervate" or "Unholy Frenzy"
--ClassCooldownAnnouncer.SPELLNAME_SUCCESS = "SpellNamed!";    This is the announce which is going to appear if the cast was successful. 
-- Write here e.g. "Innervated." or "Unholy Frenzy on you!".

-- If you want to localize spells you have to add them later in "setup.lua" too:

-- setup.lua:

-- --SpellName announces
-- ClassCooldownAnnouncer.Announces[ClassCooldownAnnouncer.SPELLNAME_NAME] = function(success, target)
--	if (success == "success") then
--		
--		ClassCooldownAnnouncer.ChatMessage(ClassCooldownAnnouncer.SPELLNAME_SUCCESS, "WHISPER", target);
--
--	end
-- end 

-- Now you localized your own spell which whispers an Announce to your target. Easy, wasn't it?




-- localized spells & announces --


-- DRUID --

-- Innervate
ClassCooldownAnnouncer.INNERVATE_NAME = "Innervate";
ClassCooldownAnnouncer.INNERVATE_SUCCESS = "Innervated.";
ClassCooldownAnnouncer.INNERVATECHANNEL_SUCCESS = "Innervated: ";

-- Rebirth
ClassCooldownAnnouncer.COMBATRES_NAME = "Rebirth";
ClassCooldownAnnouncer.COMBATRES_SUCCESS = "Combat-Rezz: ";

-- Tranquility
ClassCooldownAnnouncer.TRANQ_NAME = "Tranquility";
ClassCooldownAnnouncer.TRANQ_SUCCESS = "Tranquility used!";

-- Survival Instincts
ClassCooldownAnnouncer.INSTINCTS_NAME = "Survival Instincts";
ClassCooldownAnnouncer.INSTINCTS_SUCCESS = "Survival Instincts used!";

-- Frenzied Regeneration
ClassCooldownAnnouncer.REGENERATION_NAME = "Frenzied Regeneration";
ClassCooldownAnnouncer.REGENERATION_SUCCESS = "Frenzied Regeneration used!";


-- DEATH KNIGHT --

-- Raise Ally
ClassCooldownAnnouncer.RAISEALLY_NAME = "Raise Ally";
ClassCooldownAnnouncer.RAISEALLY_SUCCESS = "Raise Ally: ";

-- Unholy Frenzy
ClassCooldownAnnouncer.FRENZY_NAME = "Unholy Frenzy";
ClassCooldownAnnouncer.FRENZY_SUCCESS = "Unholy Frenzy on you!";

-- Vampiric Blood
ClassCooldownAnnouncer.BLOOD_NAME = "Vampiric Blood";
ClassCooldownAnnouncer.BLOOD_SUCCESS = "Vampiric Blood used!";

-- Icebound Fortitude
ClassCooldownAnnouncer.ICEBOUND_NAME = "Icebound Fortitude";
ClassCooldownAnnouncer.ICEBOUND_SUCCESS = "Icebound Fortitude used!";

-- Anti-Magic Zone
ClassCooldownAnnouncer.MAGICZONE_NAME = "Anti-Magic Zone";
ClassCooldownAnnouncer.MAGICZONE_SUCCESS = "Anti-Magic Zone used!";


-- WARLOCK --

-- Soulstone
ClassCooldownAnnouncer.SOULSTONE_NAME = "Soulstone Resurrection";
ClassCooldownAnnouncer.SOULSTONE_SUCCESS = "Soulstone: ";

-- Dark Intent
ClassCooldownAnnouncer.DARKINTENT_NAME = "Dark Intent";
ClassCooldownAnnouncer.DARKINTENT_SUCCESS = "Dark Intent on you!";
ClassCooldownAnnouncer.DARKINTENTCHANNEL_SUCCESS = "Dark Intent: ";


-- PRIEST --

-- Power Infusion
ClassCooldownAnnouncer.POWERINFUSION_NAME = "Power Infusion";
ClassCooldownAnnouncer.POWERINFUSION_SUCCESS = "Power Infusion!";
ClassCooldownAnnouncer.POWERINFUSIONCHANNEL_SUCCESS = "Power Infusion: ";

-- Pain Suppression
ClassCooldownAnnouncer.PAINSUP_NAME = "Pain Suppression";
ClassCooldownAnnouncer.PAINSUP_SUCCESS = "Pain Suppression!";
ClassCooldownAnnouncer.PAINSUPCHANNEL_SUCCESS = "Pain Suppression: ";

-- Guardian Spirit
ClassCooldownAnnouncer.SPIRIT_NAME = "Guardian Spirit";
ClassCooldownAnnouncer.SPIRIT_SUCCESS = "Guardian Sprit!";
ClassCooldownAnnouncer.SPIRITCHANNEL_SUCCESS = "Guardian Spirit: ";

-- Power Word: Barrier
ClassCooldownAnnouncer.BARRIER_NAME = "Power Word: Barrier";
ClassCooldownAnnouncer.BARRIER_SUCCESS = "Power Word: Barrier used!";

-- Hymn of Hope
ClassCooldownAnnouncer.HOPE_NAME = "Hymn of Hope";
ClassCooldownAnnouncer.HOPE_SUCCESS = "Hymn of Hope used!";

-- Divine Hymn
ClassCooldownAnnouncer.DIVINE_NAME = "Divine Hymn";
ClassCooldownAnnouncer.DIVINE_SUCCESS = "Divine Hymn used!";


-- HUNTER --

-- Ancient Hysteria
ClassCooldownAnnouncer.ANCIENT_NAME= "Ancient Hysteria";
ClassCooldownAnnouncer.ANCIENT_SUCCESS = "Ancient Hysteria used!";


-- MAGE --

-- Focus Magic
ClassCooldownAnnouncer.FOCUS_NAME = "Focus Magic";
ClassCooldownAnnouncer.FOCUS_SUCCESS = "Focus Magic!";
ClassCooldownAnnouncer.FOCUSCHANNEL_SUCCESS = "Focus Magic: ";

-- Time Warp
ClassCooldownAnnouncer.WARP_NAME= "Time Warp";
ClassCooldownAnnouncer.WARP_SUCCESS = "Time Warp used!";


-- SHAMAN --

-- Heroism / Bloodlust
ClassCooldownAnnouncer.HEROISM_NAME = "Heroism";
ClassCooldownAnnouncer.HEROISM_SUCCESS = "Heroism used!";
ClassCooldownAnnouncer.BLOODLUST_NAME = "Bloodlust";
ClassCooldownAnnouncer.BLOODLUST_SUCCESS = "Bloodlust used!";

-- Spirit Link Totem
ClassCooldownAnnouncer.SPIRITLINK_NAME = "Spirit Link Totem";
ClassCooldownAnnouncer.SPIRITLINK_SUCCESS = "Spirit Link Totem used!";


-- PALADIN --

-- Ardent Defender
ClassCooldownAnnouncer.ARDENT_NAME = "Ardent Defender";
ClassCooldownAnnouncer.ARDENT_SUCCESS = "Ardent Defender used!";

-- Divine Guardian
ClassCooldownAnnouncer.DIVGUARD_NAME = "Divine Guardian";
ClassCooldownAnnouncer.DIVGUARD_SUCCESS = "Divine Guardian used!";


-- SCHURKE --
	
-- Tricks of the Trade
ClassCooldownAnnouncer.TRICKS_NAME = "Tricks of the Trade";
ClassCooldownAnnouncer.TRICKS_SUCCESS = "Tricks of the Trade!";
ClassCooldownAnnouncer.TRICKSCHANNEL_SUCCESS = "Tricks of the Trade: ";


-- WARRIOR --

-- Shield Wall
ClassCooldownAnnouncer.WALL_NAME = "Shield Wall";
ClassCooldownAnnouncer.WALL_SUCCESS = "Shield Wall used!";



if ( GetLocale() == "deDE" ) then -- German

	-- DRUIDE --
	
	-- Anregen
	ClassCooldownAnnouncer.INNERVATE_NAME = "Anregen";
	ClassCooldownAnnouncer.INNERVATE_SUCCESS = "Anregen auf Dir!";
	ClassCooldownAnnouncer.INNERVATECHANNEL_SUCCESS = "Anregen auf: ";

	-- Wiedergeburt
	ClassCooldownAnnouncer.COMBATRES_NAME = "Wiedergeburt";
	ClassCooldownAnnouncer.COMBATRES_SUCCESS = "Wiedergeburt: ";
	
	-- Gelassenheit
	ClassCooldownAnnouncer.TRANQ_NAME = "Gelassenheit";
	ClassCooldownAnnouncer.TRANQ_SUCCESS = "Gelassaneheit aktiviert!";
	
	-- Überlebensinstinkte
	ClassCooldownAnnouncer.INSTINCTS_NAME = "Überlebensinstinkte";
	ClassCooldownAnnouncer.INSTINCTS_SUCCESS = "Überlebensinstinkte aktiviert!";

	-- Rasende Regeneration	
	ClassCooldownAnnouncer.REGENERATION_NAME = "Rasende Regeneration";
	ClassCooldownAnnouncer.REGENERATION_SUCCESS = "Rasende Regeneration aktiviert!";
	
	
	-- TODESRITTER --
	
	-- Verbündeten erwecken
	ClassCooldownAnnouncer.COMBATRES_NAME = "Verbündeten erwecken";
	ClassCooldownAnnouncer.COMBATRES_SUCCESS = "Verbündeten erwecken: ";
	
	-- Unheilige Raserei
	ClassCooldownAnnouncer.FRENZY_NAME = "Unheilige Raserei";
	ClassCooldownAnnouncer.FRENZY_SUCCESS = "Unheilige Raserei auf Dir!";
	
	-- Vampirblut
	ClassCooldownAnnouncer.BLOOD_NAME = "Vampirblut";
	ClassCooldownAnnouncer.BLOOD_SUCCESS = "Vampirblut aktiviert!";
	
	-- Eisige Gegenwehr
	ClassCooldownAnnouncer.ICEBOUND_NAME = "Eisige Gegenwehr";
	ClassCooldownAnnouncer.ICEBOUND_SUCCESS = "Eisige Gegenwehr aktiviert!";
	
	-- Antimagisches Feld
	ClassCooldownAnnouncer.MAGICZONE_NAME = "Antimagisches Feld";
	ClassCooldownAnnouncer.MAGICZONE_SUCCESS = "Antimagisches Feld aktiviert!";
	
	
	-- HEXENMEISTER --
	
	-- Seelenstein
	ClassCooldownAnnouncer.SOULSTONE_NAME = "Seelenstein Wiederbelebung";
	ClassCooldownAnnouncer.SOULSTONE_SUCCESS = "Seelenstein: ";

	-- Finstere Absichten
	ClassCooldownAnnouncer.DARKINTENT_NAME = "Finstere Absichten";
	ClassCooldownAnnouncer.DARKINTENT_SUCCESS = "Finstere Absichten auf Dir!";
	ClassCooldownAnnouncer.DarkINTENTCHANNEL_SUCCESS = "Finstere Absichten auf: ";

	
	-- PRIESTER --
	
	-- Seele der Macht
	ClassCooldownAnnouncer.POWERINFUSION_NAME = "Seele der Macht";
	ClassCooldownAnnouncer.POWERINFUSION_SUCCESS = "Seele der Macht auf Dir!";
	ClassCooldownAnnouncer.POWERINFUSIONCHANNEL_SUCCESS = "Seele der Macht auf: ";
	
	-- Schmerzunterdrückung
	ClassCooldownAnnouncer.PAINSUP_NAME = "Schmerzunterdrückung";
	ClassCooldownAnnouncer.PAINSUP_SUCCESS = "Schmerzunterdrückung auf Dir!";
	ClassCooldownAnnouncer.PAINSUPCHANNEL_SUCCESS = "Schmerzunterdrückung auf: ";

	-- Schutzgeist
	ClassCooldownAnnouncer.SPIRIT_NAME = "Schutzgeist";
	ClassCooldownAnnouncer.SPIRIT_SUCCESS = "Schutzgeist auf Dir!";
	ClassCooldownAnnouncer.SPIRITCHANNEL_SUCCESS = "Schutzgeist auf: ";

	-- Machtwort: Barriere
	ClassCooldownAnnouncer.BARRIER_NAME = "Machtwort: Barriere";
	ClassCooldownAnnouncer.BARRIER_SUCCESS = "Machtwort: Barriere aktiviert!";

	-- Hymne der Hoffnung
	ClassCooldownAnnouncer.HOPE_NAME = "Hymne der Hoffnung";
	ClassCooldownAnnouncer.HOPE_SUCCESS = "Hymne der Hoffnung aktiviert!";

	-- Gotteshymne
	ClassCooldownAnnouncer.DIVINE_NAME = "Gotteshymne";
	ClassCooldownAnnouncer.DIVINE_SUCCESS = "Gotteshymne aktiviert!";
	
	
	-- HUNTER --

	-- Uralte Hysterie
	ClassCooldownAnnouncer.ANCIENT_NAME= "Uralte Hysterie";
	ClassCooldownAnnouncer.ANCIENT_SUCCESS = "Uralte Hysterie aktiviert!";
	
	
	-- MAGE --

	-- Zeitkrümmung
	ClassCooldownAnnouncer.WARP_NAME= "Zeitkrümmung";
	ClassCooldownAnnouncer.WARP_SUCCESS = "Zeitkrümmung aktiviert!";
	
	-- Magie fokussieren
	ClassCooldownAnnouncer.FOCUS_NAME = "Magie fokussieren";
	ClassCooldownAnnouncer.FOCUS_SUCCESS = "Magie fokussieren auf Dir!";
	ClassCooldownAnnouncer.FOCUSCHANNEL_SUCCESS = "Magie fokussieren auf: ";
	
	
	-- SCHAMANE --
	
	-- Heldentum / Kampfrausch
	ClassCooldownAnnouncer.HEROISM_NAME = "Heldentum";
	ClassCooldownAnnouncer.HEROISM_SUCCESS = "Heldentum aktiviert!";
	ClassCooldownAnnouncer.BLOODLUST_NAME = "Kampfrausch";
	ClassCooldownAnnouncer.BLOODLUST_SUCCESS = "Kampfrausch aktiviert!";
	
	-- Totem der Geistbindung
	ClassCooldownAnnouncer.SPIRITLINK_NAME = "Totem der Geistbindung";
	ClassCooldownAnnouncer.SPIRITLINK_SUCCESS = "Totem der Geistbindung aktiviert!";

	
	-- PALADIN --

	-- Unermüdlicher Verteidiger
	ClassCooldownAnnouncer.ARDENT_NAME = "Unermüdlicher Verteidiger";
	ClassCooldownAnnouncer.ARDENT_SUCCESS = "Unermüdlicher Verteidiger aktiviert!";

	-- Heiliger Wächter
	ClassCooldownAnnouncer.DIVGUARD_NAME = "Heiliger Wächter";
	ClassCooldownAnnouncer.DIVGUARD_SUCCESS = "Heiliger Wächter used!";
	
	
	-- SCHURKE --
	
	-- Schurkenhandel
	ClassCooldownAnnouncer.TRICKS_NAME = "Schurkenhandel";
	ClassCooldownAnnouncer.TRICKS_SUCCESS = "Schurkenhandel auf Dir!";
	ClassCooldownAnnouncer.TRICKSCHANNEL_SUCCESS = "Schurkenhandel auf: ";
	
	
	-- KRIEGER --
	
	-- Schildwall
	ClassCooldownAnnouncer.WALL_NAME = "Schildwall";
	ClassCooldownAnnouncer.WALL_SUCCESS = "Schildwall aktiviert!";
	



	
elseif( GetLocale() == "frFR" ) then
	-- todo -- looking for translator, just let me know if you want to help me :) 
end